---
- name: Upgrade system packages
  hosts: "{{ hosts_var | default('none') }}"
  become: true

  tasks:
    # upgrade system packages
    - name: Upgrade apt packages
      ansible.builtin.apt:
        update_cache: true
        cache_valid_time: 3600
        upgrade: yes
      when: ansible_facts['os_family'] == 'Debian'

    # check if reboot is needed
    - name: Check if system reboot is required
      ansible.builtin.stat:
        path: /var/run/reboot-required
      register: reboot_required

    # FIXME: send message to external service if reboot is required
    - name: Display debug message
      ansible.builtin.debug:
        msg: "Reboot required on {{ inventory_hostname }}"
      when: reboot_required.stat.exists
